<%
'******************************************************************************
'*  File: config.asp                                                          *
'*  Version: 0.3.0 Beta                                                       *
'*  Description: Configuration file, concerns all fsstats .asp pages          *
'*  Author: Andrew Pilgrim                                                    *
'*  Copyright: Copyright 2002 Andrew Pilgrim, andrewpilgrim@fswebdesign.com   *
'*  Licence: Free for personal and commercial use as long as copyright notice *
'*           remains in place. Distribution prohibited without the express    *
'*           permission of the owner (andrewpilgrim@fswebdesign.com)          *
'******************************************************************************

'-----------------------------------------------------------------------------
'                               Version History
'-----------------------------------------------------------------------------
'	9 June 2002: Version 0.1.0a
'   14 June 2002: Version 0.2.0 Beta Launch
'   16 June 2002: Version 0.3.0 Beta

'-----------------------------------------------------------------------------
'                              Revision History
'-----------------------------------------------------------------------------
'   16 June 2002: Added Stats by day of month, day of week, month and hour.
'                 Added hit list page with click paths viewing facility
'                 Added main menu page
'                 Fixed referer bug
'                 Added page popularity statistics
'                 Moved get count function to this file
'                 Added template support and easy color change facilities

'Please report all bugs to andrewpilgrim@fswebdesign.com or go to:
'     http://www.fswebdesign.com/fsstats/

Dim Image_URL
Dim Conn_String
Dim Table_Bg
Dim Border

'##Config Section
'##Location of image to display, can be left as default
Image_URL = "/images/hitcounted.gif"
'##Connection string (access '97) change this to your connection string
Conn_String = "DRIVER={Microsoft Access Driver (*.mdb)}; DBQ=D:\root\to\your\log\file\db\log.mdb"
'##Table background color
Table_Bg = "#FFFFE7"
'##Border Color
Border = "#000000"

'no need to edit below this line
'--------------------------------------------------------------------------------------------------

'##Functions
Function GetCount(Table, Criteria)
  '##Counts the number of records in a query
  '##Set up recordset objects
  Dim GetCountRS
  Dim SQL_Query
  Set GetCountRS = Server.CreateObject("ADODB.RecordSet")
  
  SQL_Query = "SELECT Count(*) AS CountResult FROM " & Table
  If Criteria <> "" Then SQL_Query = SQL_Query & " WHERE " & Criteria
  '##Run count command
  GetCountRS.Open SQL_Query, DataConn

  '##Return Result
  GetCount = GetCountRS("CountResult")

  '##Close connections
  GetCountRS.Close
  Set GetCountRS = Nothing
End Function
%>