<%
Option Explicit
%>
<!--#include file="config.asp"-->
<%
'##Set up data connections
Dim DataConn
Set DataConn = Server.CreateObject("ADODB.Connection")
DataConn.Open Conn_String

'--------------------------------------------------------------------------------------------------
Sub ShowBrowserStats()
  '##Shows the statistics concerning browsers
  Dim MaxCount
  Dim TempCount
  Dim BrowserRS
  Dim Ratio
  Set BrowserRS = Server.CreateObject("ADODB.RecordSet")

  '##Run query to get different browsers
  BrowserRS.Open "SELECT * FROM tbl_Browser", DataConn

  '##Loop through to get the maximum browser count
  While Not BrowserRS.EOF
    TempCount = GetCount("tbl_Hits", "Client =" & BrowserRS("Browser_ID"))
	If TempCount > MaxCount Then MaxCount = TempCount
	BrowserRS.MoveNext
  Wend

  '##Decide the ratio
  Ratio = 300 / MaxCount

  '##Start again on the browser count
  BrowserRS.MoveFirst

  '##Write top of the browser statistics table
  Response.Write("<table style=""border:solid 1px " & Border & ";background-color:" & Table_Bg & """ cellpadding=""4"">")
  Response.Write("<tr><td align=""center"" colspan=""3""><p style=""font-family:arial,sans-serif;font-size:10pt; font-weight:bolder"">Hits by Browser Statistics</p></td></tr>")
  '##Loop through to get numbers for individual browsers
  While Not BrowserRS.EOF
    Response.Write("<tr><td><p style=""font-family:arial,sans-serif;font-size:8pt"">" & BrowserRS("Name") & " v" & BrowserRS("Version") & "</p></td>")
	Response.Write("<td><img style=""height:14px; width:" & Int(GetCount("tbl_Hits", "Client =" & BrowserRS("Browser_ID")) * Ratio) & "px"" src=images/bar.gif alt=""stats""></td>")
	Response.Write("<td><p style=""font-family:arial,sans-serif;font-size:8pt"">" & GetCount("tbl_Hits", "Client =" & BrowserRS("Browser_ID")) & "</p></td></tr>")
	BrowserRS.MoveNext
  Wend

  '##Finish of html table
  Response.Write("</table>")

  '##Close Connections
  BrowserRS.Close
  Set BrowserRS = Nothing
End Sub
'--------------------------------------------------------------------------------------------------
Sub ShowOSStats()
  '##Shows the statistics concerning os
  Dim MaxCount
  Dim TempCount
  Dim OSRS
  Dim Ratio
  Set OSRS = Server.CreateObject("ADODB.RecordSet")

  '##Run query to get different os
  OSRS.Open "SELECT * FROM tbl_Operating_Systems", DataConn

  '##Loop through to get the maximum os count
  While Not OSRS.EOF
    TempCount = GetCount("tbl_Hits", "Operating_System =" & OSRS("Operating_System_ID"))
	If TempCount > MaxCount Then MaxCount = TempCount
	OSRS.MoveNext
  Wend

  '##Decide the ratio
  Ratio = 300 / MaxCount

  '##Start again on the os count
  OSRS.MoveFirst

  '##Write top of the os statistics table
  Response.Write("<table style=""border:solid 1px " & Border & ";background-color:" & Table_Bg & """ cellpadding=""4"">")
  Response.Write("<tr><td align=""center"" colspan=""3""><p style=""font-family:arial,sans-serif;font-size:10pt; font-weight:bolder"">Hits by Operating System Statistics</p></td></tr>")
  '##Loop through to get numbers for individual os
  While Not OSRS.EOF
    Response.Write("<tr><td><p style=""font-family:arial,sans-serif;font-size:8pt"">" & OSRS("OS_Name") & "</p></td>")
	Response.Write("<td><img style=""height:14px; width:" & Int(GetCount("tbl_Hits", "Operating_System =" & OSRS("Operating_System_ID")) * Ratio) & "px"" src=images/bar.gif alt=""stats""></td>")
	Response.Write("<td><p style=""font-family:arial,sans-serif;font-size:8pt"">" & GetCount("tbl_Hits", "Operating_System =" & OSRS("Operating_System_ID")) & "</p></td></tr>")
	OSRS.MoveNext
  Wend
  
  '##Finish of html table
  Response.Write("</table>")

  '##Close Connections
  OSRS.Close
  Set OSRS = Nothing
End Sub
'--------------------------------------------------------------------------------------------------
Sub ShowColorDepthStats()
  '##Shows the statistics concerning ColorDepth
  Dim MaxCount
  Dim TempCount
  Dim ColorDepthRS
  Dim Ratio
  Set ColorDepthRS = Server.CreateObject("ADODB.RecordSet")

  '##Run query to get different ColorDepth
  ColorDepthRS.Open "SELECT * FROM tbl_Color_Depths", DataConn

  '##Loop through to get the maximum ColorDepth count
  While Not ColorDepthRS.EOF
    TempCount = GetCount("tbl_Hits", "Color_Depth =" & ColorDepthRS("Color_Depth_ID"))
	If TempCount > MaxCount Then MaxCount = TempCount
	ColorDepthRS.MoveNext
  Wend

  '##Decide the ratio
  Ratio = 300 / MaxCount

  '##Start again on the ColorDepth count
  ColorDepthRS.MoveFirst

  '##Write top of the ColorDepth statistics table
  Response.Write("<table style=""border:solid 1px " & Border & ";background-color:" & Table_Bg & """ cellpadding=""4"">")
  Response.Write("<tr><td align=""center"" colspan=""3""><p style=""font-family:arial,sans-serif;font-size:10pt; font-weight:bolder"">Hits by Color Depth Statistics</p></td></tr>")
  '##Loop through to get numbers for individual ColorDepth
  While Not ColorDepthRS.EOF
    Response.Write("<tr><td><p style=""font-family:arial,sans-serif;font-size:8pt"">Color Depth: " & ColorDepthRS("Name") & "</p></td>")
	Response.Write("<td><img style=""height:14px; width:" & Int(GetCount("tbl_Hits", "Color_Depth =" & ColorDepthRS("Color_Depth_ID")) * Ratio) & "px"" src=images/bar.gif alt=""stats""></td>")
	Response.Write("<td><p style=""font-family:arial,sans-serif;font-size:8pt"">" & GetCount("tbl_Hits", "Color_depth =" & ColorDepthRS("Color_Depth_ID")) & "</p></td></tr>")
	ColorDepthRS.MoveNext
  Wend
  
  '##Finish of html table
  Response.Write("</table>")

  '##Close Connections
  ColorDepthRS.Close
  Set ColorDepthRS = Nothing
End Sub
'--------------------------------------------------------------------------------------------------
Sub ShowResolutionStats()
  '##Shows the statistics concerning Resolution
  Dim MaxCount
  Dim TempCount
  Dim ResolutionRS
  Dim Ratio
  Set ResolutionRS = Server.CreateObject("ADODB.RecordSet")

  '##Run query to get different Resolution
  ResolutionRS.Open "SELECT * FROM tbl_Resolutions", DataConn

  '##Loop through to get the maximum Resolution count
  While Not ResolutionRS.EOF
    TempCount = GetCount("tbl_Hits", "Resolution =" & ResolutionRS("Resolution_ID"))
	If TempCount > MaxCount Then MaxCount = TempCount
	ResolutionRS.MoveNext
  Wend

  '##Decide the ratio
  Ratio = 300 / MaxCount

  '##Start again on the Resolution count
  ResolutionRS.MoveFirst

  '##Write top of the Resolution statistics table
  Response.Write("<table style=""border:solid 1px " & Border & ";background-color:" & Table_Bg & """ cellpadding=""4"">")
  Response.Write("<tr><td align=""center"" colspan=""3""><p style=""font-family:arial,sans-serif;font-size:10pt; font-weight:bolder"">Hits by Resolution Statistics</p></td></tr>")
  '##Loop through to get numbers for individual Resolution
  While Not ResolutionRS.EOF
    Response.Write("<tr><td><p style=""font-family:arial,sans-serif;font-size:8pt"">" & ResolutionRS("Name") & "</p></td>")
	Response.Write("<td><img style=""height:14px; width:" & Int(GetCount("tbl_Hits", "Resolution =" & ResolutionRS("Resolution_ID")) * Ratio) & "px"" src=images/bar.gif alt=""stats""></td>")
	Response.Write("<td><p style=""font-family:arial,sans-serif;font-size:8pt"">" & GetCount("tbl_Hits", "Resolution =" & ResolutionRS("Resolution_ID")) & "</p></td></tr>")
	ResolutionRS.MoveNext
  Wend
  
  '##Finish of html table
  Response.Write("</table>")

  '##Close Connections
  ResolutionRS.Close
  Set ResolutionRS = Nothing
End Sub

'##Main Page
%>
<!--#include file="page/content_top.asp"-->
<%
'##Write General Information
Response.Write("<table style=""border:solid 1px " & Border & ";background-color:" & Table_Bg & """ cellpadding=""4"">")
Response.Write("<tr><td align=""center"" colspan=""2""><p style=""font-family:arial,sans-serif;font-size:10pt; font-weight:bolder"">General Statistics</p></td></tr>")
Response.Write("<tr><td><p style=""font-family:arial,sans-serif;font-size:8pt""><b>Unique Hits:</b></p></td><td><p style=""font-family:arial,sans-serif;font-size:8pt"">" & GetCount("tbl_Hits", "") & "</p></td></tr>")
Response.Write("<tr><td><p style=""font-family:arial,sans-serif;font-size:8pt""><b>Page Views:</b></p></td><td><p style=""font-family:arial,sans-serif;font-size:8pt"">" & GetCount("tbl_Page_Views", "") & "</p></td></tr></table>")
Response.Write("<br /><br />")
ShowBrowserStats
Response.Write("<br /><br />")
ShowOSStats
Response.Write("<br /><br />")
ShowColorDepthStats
Response.Write("<br /><br />")
ShowResolutionStats
%>
<!--#include file="page/content_bottom.asp"-->